Der lange erwartet Augenblick ist da - JRuby 9.0.0.0 ist erschienen. 9.0.0.0 ist voll kompatibel zu Ruby 2.2 und benötigt Java 7 oder neuer. Im Gegensatz zu JRuby 1.7.x, wo man noch zwischen Ruby 1.8 oder 1.9 wählen kann, wird ab dieser Version nur noch eine Ruby Version unterstützt.

Major Features von JRuby 9.0.0.0 sind:


  • Ruby 2.2 compatibility
  • A new optimizing runtime based on a traditional compiler design
  • New POSIX-friendly IO and Process
  • Fully ported encoding/transcoding logic from MRI
  • New POSIX-friendly IO and Process Fully ported encoding/transcoding logic from MRI

Probiert die neue Version aus! Sobald wir die neue Version getestet und neue Erkenntnisse zum Upgrade von Projekten 1.7.x zu 9.0.0.0, Performance oder dem Zusammenspiel mit Gems haben, melden wir uns wieder. Es bleibt spannend!

Herunterladen kann man sich die neue Version wie immer auf http://www.jruby.org/download. Oder einfach rvm oder rbenv nutzen.

jruby.org
JRuby 9.0.0.0 Released
blog.jruby.org
JRuby 9000 Released Featuring Ruby 2.2 Compatibility (mit Charles Oliver Nutter im Interview)
Slideshare: Over 9000: JRuby in 2015
JRuby on GitHub